<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.4.2) on Thu May 05 15:26:36 EDT 2005 -->
<TITLE>
Class Hierarchy
</TITLE>


<LINK REL ="stylesheet" TYPE="text/css" HREF="apistyles.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="Class Hierarchy";
}
</SCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=3 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Package</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Use</FONT>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<A HREF="#main"><FONT CLASS="NavBarFont1Rev"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="index.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="overview-tree.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>

</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<A NAME="main"></A>
<CENTER>
<H2>
Hierarchy For All Packages</H2>
</CENTER>
<DL>
<DT><B>Package Hierarchies:</B><DD><A HREF="org/eclipse/jst/j2ee/applicationclient/componentcore/util/package-tree.html">org.eclipse.jst.j2ee.applicationclient.componentcore.util</A>, <A HREF="org/eclipse/jst/j2ee/componentcore/package-tree.html">org.eclipse.jst.j2ee.componentcore</A>, <A HREF="org/eclipse/jst/j2ee/componentcore/util/package-tree.html">org.eclipse.jst.j2ee.componentcore.util</A>, <A HREF="org/eclipse/jst/j2ee/datamodel/properties/package-tree.html">org.eclipse.jst.j2ee.datamodel.properties</A>, <A HREF="org/eclipse/jst/j2ee/ejb/componentcore/util/package-tree.html">org.eclipse.jst.j2ee.ejb.componentcore.util</A>, <A HREF="org/eclipse/jst/j2ee/jca/modulecore/util/package-tree.html">org.eclipse.jst.j2ee.jca.modulecore.util</A>, <A HREF="org/eclipse/jst/j2ee/project/datamodel/properties/package-tree.html">org.eclipse.jst.j2ee.project.datamodel.properties</A>, <A HREF="org/eclipse/jst/server/core/package-tree.html">org.eclipse.jst.server.core</A>, <A HREF="org/eclipse/jst/servlet/ui/package-tree.html">org.eclipse.jst.servlet.ui</A></DL>
<HR>
<H2>
Class Hierarchy
</H2>
<UL>
<LI TYPE="circle">class java.lang.Object<UL>
<LI TYPE="circle">class ArtifactEdit<UL>
<LI TYPE="circle">class org.eclipse.jst.j2ee.componentcore.<A HREF="org/eclipse/jst/j2ee/componentcore/EnterpriseArtifactEdit.html" title="class in org.eclipse.jst.j2ee.componentcore"><B>EnterpriseArtifactEdit</B></A><UL>
<LI TYPE="circle">class org.eclipse.jst.j2ee.applicationclient.componentcore.util.<A HREF="org/eclipse/jst/j2ee/applicationclient/componentcore/util/AppClientArtifactEdit.html" title="class in org.eclipse.jst.j2ee.applicationclient.componentcore.util"><B>AppClientArtifactEdit</B></A><LI TYPE="circle">class org.eclipse.jst.j2ee.jca.modulecore.util.<A HREF="org/eclipse/jst/j2ee/jca/modulecore/util/ConnectorArtifactEdit.html" title="class in org.eclipse.jst.j2ee.jca.modulecore.util"><B>ConnectorArtifactEdit</B></A><LI TYPE="circle">class org.eclipse.jst.j2ee.componentcore.util.<A HREF="org/eclipse/jst/j2ee/componentcore/util/EARArtifactEdit.html" title="class in org.eclipse.jst.j2ee.componentcore.util"><B>EARArtifactEdit</B></A><LI TYPE="circle">class org.eclipse.jst.j2ee.ejb.componentcore.util.<A HREF="org/eclipse/jst/j2ee/ejb/componentcore/util/EJBArtifactEdit.html" title="class in org.eclipse.jst.j2ee.ejb.componentcore.util"><B>EJBArtifactEdit</B></A></UL>
</UL>
<LI TYPE="circle">class org.eclipse.jst.server.core.<A HREF="org/eclipse/jst/server/core/EJBBean.html" title="class in org.eclipse.jst.server.core"><B>EJBBean</B></A><LI TYPE="circle">class org.eclipse.jst.server.core.<A HREF="org/eclipse/jst/server/core/JndiLaunchable.html" title="class in org.eclipse.jst.server.core"><B>JndiLaunchable</B></A><LI TYPE="circle">class org.eclipse.jst.server.core.<A HREF="org/eclipse/jst/server/core/JndiObject.html" title="class in org.eclipse.jst.server.core"><B>JndiObject</B></A><LI TYPE="circle">class RuntimeTargetHandlerDelegate<UL>
<LI TYPE="circle">class org.eclipse.jst.server.core.<A HREF="org/eclipse/jst/server/core/ClasspathRuntimeTargetHandler.html" title="class in org.eclipse.jst.server.core"><B>ClasspathRuntimeTargetHandler</B></A></UL>
<LI TYPE="circle">class org.eclipse.jst.server.core.<A HREF="org/eclipse/jst/server/core/Servlet.html" title="class in org.eclipse.jst.server.core"><B>Servlet</B></A></UL>
</UL>
<H2>
Interface Hierarchy
</H2>
<UL>
<LI TYPE="circle">interface org.eclipse.jst.server.core.<A HREF="org/eclipse/jst/server/core/IEnterpriseApplication.html" title="interface in org.eclipse.jst.server.core"><B>IEnterpriseApplication</B></A><LI TYPE="circle">interface org.eclipse.jst.j2ee.project.datamodel.properties.<A HREF="org/eclipse/jst/j2ee/project/datamodel/properties/IFlexibleJavaProjectCreationDataModelProperties.html" title="interface in org.eclipse.jst.j2ee.project.datamodel.properties"><B>IFlexibleJavaProjectCreationDataModelProperties</B></A><LI TYPE="circle">interface org.eclipse.jst.j2ee.datamodel.properties.<A HREF="org/eclipse/jst/j2ee/datamodel/properties/IJ2EEComponentExportDataModelProperties.html" title="interface in org.eclipse.jst.j2ee.datamodel.properties"><B>IJ2EEComponentExportDataModelProperties</B></A><UL>
<LI TYPE="circle">interface org.eclipse.jst.j2ee.datamodel.properties.<A HREF="org/eclipse/jst/j2ee/datamodel/properties/IAppClientComponentExportDataModelProperties.html" title="interface in org.eclipse.jst.j2ee.datamodel.properties"><B>IAppClientComponentExportDataModelProperties</B></A><LI TYPE="circle">interface org.eclipse.jst.j2ee.datamodel.properties.<A HREF="org/eclipse/jst/j2ee/datamodel/properties/IEARComponentExportDataModelProperties.html" title="interface in org.eclipse.jst.j2ee.datamodel.properties"><B>IEARComponentExportDataModelProperties</B></A></UL>
<LI TYPE="circle">interface org.eclipse.jst.j2ee.datamodel.properties.<A HREF="org/eclipse/jst/j2ee/datamodel/properties/IJ2EEComponentImportDataModelProperties.html" title="interface in org.eclipse.jst.j2ee.datamodel.properties"><B>IJ2EEComponentImportDataModelProperties</B></A><UL>
<LI TYPE="circle">interface org.eclipse.jst.j2ee.datamodel.properties.<A HREF="org/eclipse/jst/j2ee/datamodel/properties/IAppClientComponentImportDataModelProperties.html" title="interface in org.eclipse.jst.j2ee.datamodel.properties"><B>IAppClientComponentImportDataModelProperties</B></A><LI TYPE="circle">interface org.eclipse.jst.j2ee.datamodel.properties.<A HREF="org/eclipse/jst/j2ee/datamodel/properties/IEARComponentImportDataModelProperties.html" title="interface in org.eclipse.jst.j2ee.datamodel.properties"><B>IEARComponentImportDataModelProperties</B></A><LI TYPE="circle">interface org.eclipse.jst.j2ee.datamodel.properties.<A HREF="org/eclipse/jst/j2ee/datamodel/properties/IJ2EEModuleImportDataModelProperties.html" title="interface in org.eclipse.jst.j2ee.datamodel.properties"><B>IJ2EEModuleImportDataModelProperties</B></A><UL>
<LI TYPE="circle">interface org.eclipse.jst.j2ee.datamodel.properties.<A HREF="org/eclipse/jst/j2ee/datamodel/properties/IAppClientComponentImportDataModelProperties.html" title="interface in org.eclipse.jst.j2ee.datamodel.properties"><B>IAppClientComponentImportDataModelProperties</B></A></UL>
<LI TYPE="circle">interface org.eclipse.jst.j2ee.datamodel.properties.<A HREF="org/eclipse/jst/j2ee/datamodel/properties/IJavaUtilityJarImportDataModelProperties.html" title="interface in org.eclipse.jst.j2ee.datamodel.properties"><B>IJavaUtilityJarImportDataModelProperties</B></A></UL>
<LI TYPE="circle">interface org.eclipse.jst.server.core.<A HREF="org/eclipse/jst/server/core/IJ2EEModule.html" title="interface in org.eclipse.jst.server.core"><B>IJ2EEModule</B></A><UL>
<LI TYPE="circle">interface org.eclipse.jst.server.core.<A HREF="org/eclipse/jst/server/core/IApplicationClientModule.html" title="interface in org.eclipse.jst.server.core"><B>IApplicationClientModule</B></A><LI TYPE="circle">interface org.eclipse.jst.server.core.<A HREF="org/eclipse/jst/server/core/IConnectorModule.html" title="interface in org.eclipse.jst.server.core"><B>IConnectorModule</B></A><LI TYPE="circle">interface org.eclipse.jst.server.core.<A HREF="org/eclipse/jst/server/core/IEJBModule.html" title="interface in org.eclipse.jst.server.core"><B>IEJBModule</B></A><LI TYPE="circle">interface org.eclipse.jst.server.core.<A HREF="org/eclipse/jst/server/core/IWebModule.html" title="interface in org.eclipse.jst.server.core"><B>IWebModule</B></A></UL>
<LI TYPE="circle">interface org.eclipse.jst.j2ee.project.datamodel.properties.<A HREF="org/eclipse/jst/j2ee/project/datamodel/properties/IJ2EEProjectServerTargetDataModelProperties.html" title="interface in org.eclipse.jst.j2ee.project.datamodel.properties"><B>IJ2EEProjectServerTargetDataModelProperties</B></A><LI TYPE="circle">interface org.eclipse.jst.j2ee.datamodel.properties.<A HREF="org/eclipse/jst/j2ee/datamodel/properties/IJavaComponentCreationDataModelProperties.html" title="interface in org.eclipse.jst.j2ee.datamodel.properties"><B>IJavaComponentCreationDataModelProperties</B></A><UL>
<LI TYPE="circle">interface org.eclipse.jst.j2ee.datamodel.properties.<A HREF="org/eclipse/jst/j2ee/datamodel/properties/IAppClientComponentCreationDataModelProperties.html" title="interface in org.eclipse.jst.j2ee.datamodel.properties"><B>IAppClientComponentCreationDataModelProperties</B></A><LI TYPE="circle">interface org.eclipse.jst.j2ee.datamodel.properties.<A HREF="org/eclipse/jst/j2ee/datamodel/properties/IEarComponentCreationDataModelProperties.html" title="interface in org.eclipse.jst.j2ee.datamodel.properties"><B>IEarComponentCreationDataModelProperties</B></A><LI TYPE="circle">interface org.eclipse.jst.j2ee.datamodel.properties.<A HREF="org/eclipse/jst/j2ee/datamodel/properties/IJ2EEComponentCreationDataModelProperties.html" title="interface in org.eclipse.jst.j2ee.datamodel.properties"><B>IJ2EEComponentCreationDataModelProperties</B></A><UL>
<LI TYPE="circle">interface org.eclipse.jst.j2ee.datamodel.properties.<A HREF="org/eclipse/jst/j2ee/datamodel/properties/IAppClientComponentCreationDataModelProperties.html" title="interface in org.eclipse.jst.j2ee.datamodel.properties"><B>IAppClientComponentCreationDataModelProperties</B></A><LI TYPE="circle">interface org.eclipse.jst.j2ee.datamodel.properties.<A HREF="org/eclipse/jst/j2ee/datamodel/properties/IEarComponentCreationDataModelProperties.html" title="interface in org.eclipse.jst.j2ee.datamodel.properties"><B>IEarComponentCreationDataModelProperties</B></A></UL>
</UL>
<LI TYPE="circle">interface org.eclipse.jst.server.core.<A HREF="org/eclipse/jst/server/core/ILooseArchive.html" title="interface in org.eclipse.jst.server.core"><B>ILooseArchive</B></A><LI TYPE="circle">interface org.eclipse.jst.server.core.<A HREF="org/eclipse/jst/server/core/ILooseArchiveSupport.html" title="interface in org.eclipse.jst.server.core"><B>ILooseArchiveSupport</B></A><LI TYPE="circle">interface org.eclipse.jst.servlet.ui.<A HREF="org/eclipse/jst/servlet/ui/IWebUIContextIds.html" title="interface in org.eclipse.jst.servlet.ui"><B>IWebUIContextIds</B></A></UL>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=3 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Package</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Use</FONT>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<A HREF="#main"><FONT CLASS="NavBarFont1Rev"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="index.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="overview-tree.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>

</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
